module ioutils
  implicit none
  
  public read_nat_env_var
  private

  contains

  ! Reads an natural (>=0) environment variable 
  ! Returns negative if error
  integer function read_nat_env_var( VarName )
    character(len=100), intent( in ) :: VarName
    character(len=100) :: VarValue
    integer :: Stat

    ! Get VarValue from the environment variable VarName
    ! assuming that its value is not more than 100 characters.
    call get_environment_variable( name=VarName, value=VarValue, status=Stat )!, trim_name=.false. )

    if (Stat/=0) then
      !print *, "Environment variable ",VarName," not set!"
      read_nat_env_var = -1
    else
      read ( VarValue, '(i)', iostat=Stat ) read_nat_env_var 
    end if
    return 
  end function read_nat_env_var

end module ioutils
